List webhook deliveries
curl --request GET \
--url https://api.meum.io/v1/webhook-endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.meum.io/v1/webhook-endpoints/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meum.io/v1/webhook-endpoints/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"event_id": "<string>",
"attempt_number": 123,
"status_code": 200,
"attempted_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "not_found",
"code": "invoice_not_found",
"message": "Invoice not found",
"request_id": "req_a1b2c3d4e5f6789012345678"
}
}Webhooks API
List webhook deliveries
GET
/
v1
/
webhook-endpoints
/
{id}
/
deliveries
List webhook deliveries
Authorizations
Store-scoped API key. Prefix with sk_live_.
Example: Authorization: Bearer sk_live_EXAMPLE_DO_NOT_USE
Path Parameters
Webhook endpoint public ID (wh_...).
Pattern:
^(inv_|txn_|plink_|wh_|whd_|evt_|int_)[0-9a-z]{20,32}$Query Parameters
How many items to return per page (1–100). Defaults to 20 if omitted.
Required range:
1 <= x <= 100Pagination cursor. Pass the ID of the last item from the previous page to get the next page. Omit on the first request.
Pattern:
^(inv_|txn_|plink_|wh_|whd_|evt_|int_)[0-9a-z]{20,32}$Response
Recent delivery attempts for the endpoint
Show child attributes
Show child attributes
⌘I